# H4507_MessageWaitingIndicationErrors Class Reference

`#include <h4507.h>`

List of all members.

## Public Types

enum | Enumerations { e_notActivated = 31, e_undefined = 2002, e_invalidMsgCentreId = 1018 }

## Public Member Functions

| H4507_MessageWaitingIndicationErrors (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4507_MessageWaitingIndicationErrors & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4507_MessageWaitingIndicationErrors::Enumerations

Enumerator:

  e_notActivated |
  e_undefined |
  e_invalidMsgCentreId |

## Constructor & Destructor Documentation

H4507_MessageWaitingIndicationErrors::H4507_MessageWaitingIndicationErrors | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4507_MessageWaitingIndicationErrors& H4507_MessageWaitingIndicationErrors::operator= | ( | unsigned | v | ) |

PObject* H4507_MessageWaitingIndicationErrors::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4507.h